package com.xydl.cac.repository;

import com.xydl.cac.entity.IcdFile;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.stereotype.Repository;

import java.util.List;


@Repository
public interface IcdFileRepository extends JpaRepository<IcdFile, Integer>, JpaSpecificationExecutor<IcdFile> {

    List<IcdFile> findByMd5AndSrv(String md5, Integer srv);

    List<IcdFile> findBySrv(Integer srv);

    List<IcdFile> findBySrvAndStart(Integer srv, Integer start);
}